## ksnip 1.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(ksnip)

find_package(Qt4 REQUIRED)

set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")

include_directories(${QT_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR})

set(ksnip_SRCS src/main.cpp
               src/widgets/CropPanel.cpp
               src/backend/ImgurUploader.cpp
               src/backend/StringManip.cpp
               src/backend/KsnipConfig.cpp
               src/backend/ImageGrabber.cpp
               src/backend/CmdParser.cpp
               src/backend/CmdOption.cpp
               src/painter/PaintArea.cpp
               src/painter/PainterBaseItem.cpp
               src/painter/PainterPath.cpp
               src/painter/PainterRect.cpp
               src/painter/PainterEllipse.cpp
               src/painter/PainterText.cpp
               src/widgets/CaptureView.cpp
               src/widgets/CustomToolButton.cpp
               src/widgets/CustomCursor.cpp
               src/widgets/NumericComboBox.cpp
               src/widgets/PainterSettingsPicker.cpp
               src/widgets/UndoCommands.cpp
               src/gui/MainWindow.cpp
               src/gui/SnippingArea.cpp
               src/gui/SettingsDialog.cpp
               src/gui/AboutDialog.cpp
               )

SET(ksnip_RES icons/resources.qrc)
qt4_add_resources(ksnip_RES_RCC ${ksnip_RES})

qt4_automoc(${ksnip_SRCS})

add_executable(ksnip ${ksnip_SRCS} ${ksnip_RES_RCC})

target_link_libraries(ksnip ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTNETWORK_LIBRARY} ${QT_QTXML_LIBRARY} X11 Xfixes )

install(TARGETS ksnip RUNTIME DESTINATION /bin)

add_subdirectory(desktop)

=== debian/changelog ===
ksnip (1.3.1-1mx15+1) mx; urgency=medium

  * Rebuild for MX-15.
  * Extend the long description.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 11 Apr 2017 17:35:28 -0700

ksnip (1.3.1-1dhor~zesty) zesty; urgency=medium

  * missing library fix

 -- Dariusz Duma <dhor@toxic.net.pl>  Sat, 01 Apr 2017 08:07:02 +0200

ksnip (1.3.0-1dhor~zesty) zesty; urgency=medium

  * Initial release

 -- Dariusz Duma <dhor@toxic.net.pl>  Tue, 21 Mar 2017 16:29:17 +0100

=== debian/control ===
Source: ksnip
Section: graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Dariusz Duma <dhor@toxic.net.pl>
Build-Depends: debhelper (>=9), 
	libqt4-dev (>= 4.8),
	libqwt-dev , 
	cmake, 
	libx11-dev, 
	libxfixes-dev
Standards-Version: 3.9.6
Homepage: https://github.com/DamirPorobic/ksnip

Package: ksnip
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Screenshot tool inspired by the Window Snipping Tool
 Ksnip is a Qt 4.8 based Linux screenshot tool inspired by the
 Windows Snipping Tool.
 .
 Features include:
  -Taking Screenshot of a custom rectangular area that can be drawn with
   mouse cursor.
  -Taking screenshot of the screen/monitor where the mouse cursor is currently
   located.
  -Taking screenshot of full screen, including all screens/monitors.
  -Taking screenshot of window that currently has focus.
  -Take screenshot with or without mouse cursor.
  -Customizable capture delay for all capture options.
  -Upload screenshots directly to imgur.com in anonymous or user mode.
  -Drawing on captured screenshot with two different tools, pen (opaque) and
   maker (semi-transparent).
  -Drawing two shapes ellipse and rectangle, with and without fill.
  -Customizable color and size (thickness) for drawing tools.
  -Writing text on screenshots, with customizable font, size, color etc.
  -Any drawing can be moved around without deleting it by simply dragging it
   to new location.
  -Cropping captured screensshot, including any drawing on the captured image.
  -Command line support, for taking screenshot and saving it to default
   location, filename and format.
  -Customizable default location, filename and format for saving new
   screenshots with wildcards for Year ($Y), Month ($M), Day ($D),
   and Time ($T).
  -Print screenshot or save is to prf/ps.
  -Undo/Redo for paint and crop operations.
  -Smooth out free hand pen and marker lines (can be disabled in settings).

## ksnip 1.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -33,6 +33,7 @@
                src/gui/SnippingArea.cpp
                src/gui/SettingsDialog.cpp
                src/gui/AboutDialog.cpp
+               src/helper/X11GraphicsHelper.cpp
                )
 
 SET(ksnip_RES icons/resources.qrc)

=== debian/changelog ===
ksnip (1.3.2-1mx15+1) mx; urgency=medium

  * new release repackaged for MX Linux 15/16.

 -- Mike Purtell <mandbx@sbcglobal.net>  Sun, 10 Dec 2017 08:28:47 -0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ksnip
 Section: graphics
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
 Bugs: mailto: <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Dariusz Duma <dhor@toxic.net.pl>
 Build-Depends: debhelper (>=9),

## ksnip 1.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
project(ksnip)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)

set(QT_MIN_VERSION "5.4.0")
find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Widgets Network Xml PrintSupport)

# Without ECM we're unable to load XCB
find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

find_package(X11 REQUIRED)

# Check for required XCB components
find_package(XCB COMPONENTS XFIXES)

if (XCB_FOUND)
    find_package(Qt5X11Extras ${QT_MIN_VERSION} REQUIRED)
endif()

if(NOT XCB_XFIXES_FOUND)
    message(FATAL_ERROR "Required XCB Components missing: XCB-XFIXES")
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")

set(ksnip_SRCS src/main.cpp
               src/backend/ImgurUploader.cpp
               src/backend/KsnipConfig.cpp
               src/backend/ImageGrabber.cpp
               src/painter/PaintArea.cpp
               src/painter/AbstractPainterItem.cpp
               src/painter/PainterPen.cpp
               src/painter/PainterMarker.cpp
               src/painter/PainterRect.cpp
               src/painter/PainterEllipse.cpp
               src/painter/PainterLine.cpp
               src/painter/PainterArrow.cpp
               src/painter/PainterText.cpp
               src/painter/PainterNumber.cpp
               src/painter/PainterItemFactory.cpp
               src/helper/StringFormattingHelper.cpp
               src/helper/MathHelper.cpp
               src/helper/X11GraphicsHelper.cpp
               src/widgets/CropPanel.cpp
               src/widgets/CaptureView.cpp
               src/widgets/CustomToolButton.cpp
               src/widgets/CustomCursor.cpp
               src/widgets/CursorFactory.cpp
               src/widgets/NumericComboBox.cpp
               src/widgets/UndoCommands.cpp
               src/widgets/ContextMenu.cpp
               src/widgets/ColorButton.cpp
               src/widgets/settingsPicker/SettingsPicker.cpp
               src/widgets/settingsPicker/SettingsPickerPopup.cpp
               src/widgets/settingsPicker/SettingsPickerButton.cpp
               src/widgets/settingsPicker/SettingsPickerColorItem.cpp
               src/widgets/settingsPicker/SettingsPickerConfigurator.cpp
               src/gui/MainWindow.cpp
               src/gui/SnippingArea.cpp
               src/gui/SettingsDialog.cpp
               src/gui/AboutDialog.cpp)

SET(ksnip_RES icons/resources.qrc)
qt5_add_resources(ksnip_RES_RCC ${ksnip_RES})

add_executable(ksnip ${ksnip_SRCS} ${ksnip_RES_RCC})

target_link_libraries(ksnip Qt5::Widgets
                            Qt5::Network
                            Qt5::Xml
                            Qt5::PrintSupport
                            Qt5::X11Extras
                            XCB::XFIXES
                            X11)

install(TARGETS ksnip RUNTIME DESTINATION /bin)

add_subdirectory(desktop)

=== desktop/CMakeLists.txt ===
# Add desktop file and desktop icon to target machine 

install(PROGRAMS ksnip.desktop DESTINATION /usr/share/applications)
install(FILES ksnip.png DESTINATION /usr/share/pixmaps)

=== debian/changelog ===
ksnip (1.4.0-1mx17+1) mx; urgency=medium

  * New release repackaged for MX Linux.

 -- Mike Purtell <mandbx@sbcglobal.net>  Sun, 17 Dec 2017 12:06:01 -0800

ksnip (1.4.0~alpha+git20171125-0mx17+3) mx; urgency=medium

  * New release repackaged for MX Linux.

 -- Mike Purtell <mandbx@sbcglobal.net>  Sun, 10 Dec 2017 08:47:02 -0800

ksnip (1.4.0~alpha+git20171125-0mx17+2) mx; urgency=medium

  * Patched to function with composting disabled.

  * Revised rev to include 'alpha'.

 -- Mike Purtell <mandbx@sbcglobal.net>  Sun, 26 Nov 2017 09:39:33 -0800

ksnip (1.4.0-1mx15+1) mx; urgency=medium

  * Upgraded depends list for Qt5 and patched 
  * header SettingsPickerPopup.h file per 
  * authors instructions.

 -- Mike Purtell <mandbx@sbcglobal.net>  Thu, 23 Nov 2017 08:11:02 -0800

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,14 @@
 Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
 Bugs: mailto: <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Dariusz Duma <dhor@toxic.net.pl>
-Build-Depends: debhelper (>=9), 
-	libqt4-dev (>= 4.8),
-	libqwt-dev , 
-	cmake, 
-	libx11-dev, 
-	libxfixes-dev
+Build-Depends: debhelper (>=10),
+                cmake  (>= 2.8.12),
+                extra-cmake-modules,
+                qtbase5-dev (>= 5.4.0),
+                qttools5-dev-tools (>= 5.4.0),
+                libqt5x11extras5-dev (>= 5.4.0),
+                libx11-dev,
+                libxfixes-dev
 Standards-Version: 3.9.6
 Homepage: https://github.com/DamirPorobic/ksnip

## ksnip 1.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ksnip LANGUAGES CXX VERSION 1.5.0)

if (DEFINED VERSION_SUFIX)
    set(KSNIP_VERSION_SUFIX "-${VERSION_SUFIX}")
endif()

set(KSNIP_VERSION "${PROJECT_VERSION}${KSNIP_VERSION_SUFIX}")
set(KSNIP_LANG_INSTAL_DIR "/usr/share/ksnip/translations")

configure_file(src/BuildConfig.h.in ${CMAKE_CURRENT_BINARY_DIR}/src/BuildConfig.h)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

set(QT_MIN_VERSION "5.6.1")

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED Widgets Network Xml PrintSupport DBus)

if (UNIX)
    find_package(Qt5 ${QT_MIN_VERSION} REQUIRED X11Extras)

    # Without ECM we're unable to load XCB
    find_package(ECM REQUIRED NO_MODULE)
    set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

    find_package(X11 REQUIRED)
    find_package(XCB COMPONENTS XFIXES)
elseif(WIN32)
    find_package(Qt5 ${QT_MIN_VERSION} REQUIRED WinExtras)
endif ()

set(KIMAGEANNOTATOR_MIN_VERSION "0.0.2")
find_package(kImageAnnotator ${KIMAGEANNOTATOR_MIN_VERSION} REQUIRED)

set(BASEPATH "${CMAKE_SOURCE_DIR}")
include_directories("${BASEPATH}")

add_subdirectory(src)
add_subdirectory(translations)
add_subdirectory(desktop)

=== desktop/CMakeLists.txt ===
# Add desktop file and desktop icon to target machine
# Add metadata file

install(PROGRAMS ksnip.desktop DESTINATION /usr/share/applications)
install(FILES ksnip.svg DESTINATION /usr/share/pixmaps)
install(FILES ksnip.appdata.xml DESTINATION /usr/share/metainfo)

=== src/CMakeLists.txt ===
set(KSNIP_SRCS
	${CMAKE_SOURCE_DIR}/src/main.cpp
	${CMAKE_SOURCE_DIR}/src/backend/KsnipConfig.cpp
	${CMAKE_SOURCE_DIR}/src/backend/imageGrabber/AbstractImageGrabber.cpp
	${CMAKE_SOURCE_DIR}/src/backend/imageGrabber/ImageGrabberFactory.cpp
	${CMAKE_SOURCE_DIR}/src/backend/CapturePrinter.cpp
	${CMAKE_SOURCE_DIR}/src/backend/uploader/ImgurUploader.cpp
	${CMAKE_SOURCE_DIR}/src/backend/uploader/UploadResponse.cpp
	${CMAKE_SOURCE_DIR}/src/backend/uploader/CaptureUploader.cpp
	${CMAKE_SOURCE_DIR}/src/backend/uploader/ImgurResponseLogger.cpp
	${CMAKE_SOURCE_DIR}/src/common/helper/MathHelper.cpp
	${CMAKE_SOURCE_DIR}/src/common/helper/CommandLineParserHelper.cpp
	${CMAKE_SOURCE_DIR}/src/common/helper/MessageBoxHelper.cpp
	${CMAKE_SOURCE_DIR}/src/common/loader/IconLoader.cpp
	${CMAKE_SOURCE_DIR}/src/common/handler/DelayHandler.cpp
	${CMAKE_SOURCE_DIR}/src/common/formatter/FilenameFormatter.cpp
	${CMAKE_SOURCE_DIR}/src/widgets/CustomToolButton.cpp
	${CMAKE_SOURCE_DIR}/src/widgets/CustomCursor.cpp
	${CMAKE_SOURCE_DIR}/src/widgets/CursorFactory.cpp
	${CMAKE_SOURCE_DIR}/src/widgets/NumericComboBox.cpp
	${CMAKE_SOURCE_DIR}/src/widgets/CustomSpinBox.cpp
	${CMAKE_SOURCE_DIR}/src/widgets/CaptureModePicker.cpp
	${CMAKE_SOURCE_DIR}/src/widgets/ColorButton.cpp
	${CMAKE_SOURCE_DIR}/src/widgets/MainToolBar.cpp
	${CMAKE_SOURCE_DIR}/src/gui/MainWindow.cpp
	${CMAKE_SOURCE_DIR}/src/gui/AbstractSnippingArea.cpp
	${CMAKE_SOURCE_DIR}/src/gui/SettingsDialog.cpp
	${CMAKE_SOURCE_DIR}/src/gui/AboutDialog.cpp
	${CMAKE_SOURCE_DIR}/src/gui/ImgurHistoryDialog.cpp
	)

if (UNIX)
    set(KSNIP_SRCS
		${KSNIP_SRCS}
		${CMAKE_SOURCE_DIR}/src/backend/imageGrabber/X11ImageGrabber.cpp
		${CMAKE_SOURCE_DIR}/src/backend/imageGrabber/KdeWaylandImageGrabber.cpp
		${CMAKE_SOURCE_DIR}/src/backend/imageGrabber/X11Wrapper.cpp
		${CMAKE_SOURCE_DIR}/src/backend/imageGrabber/GnomeWaylandImageGrabber.cpp
		${CMAKE_SOURCE_DIR}/src/common/platform/PlatformChecker.cpp
		${CMAKE_SOURCE_DIR}/src/common/platform/CommandRunner.cpp
		${CMAKE_SOURCE_DIR}/src/gui/LinuxSnippingArea.cpp
		)
elseif (WIN32)
	set(KSNIP_SRCS
			${KSNIP_SRCS}
            ${CMAKE_SOURCE_DIR}/src/backend/imageGrabber/WinImageGrabber.cpp
			${CMAKE_SOURCE_DIR}/src/backend/imageGrabber/WinWrapper.cpp
            ${CMAKE_SOURCE_DIR}/src/gui/WinSnippingArea.cpp
			)
endif ()

set(KSNIP_SRCS ${KSNIP_SRCS} PARENT_SCOPE)

if (WIN32)
	add_executable(ksnip ${KSNIP_SRCS} ${CMAKE_SOURCE_DIR}/icons/ksnip_icons.qrc ${CMAKE_SOURCE_DIR}/icons/ksnip_windows_icon.rc)
else()
	add_executable(ksnip ${KSNIP_SRCS} ${CMAKE_SOURCE_DIR}/icons/ksnip_icons.qrc)
endif ()

target_link_libraries(ksnip
					  Qt5::Widgets
					  Qt5::Network
					  Qt5::Xml
					  Qt5::PrintSupport
					  Qt5::DBus
					  kImageAnnotator
					  kColorPicker
					  )

if (UNIX)
	target_link_libraries(ksnip
            Qt5::X11Extras
			XCB::XFIXES
            X11
            )
elseif(WIN32)
	target_link_libraries(ksnip
            Qt5::WinExtras
            Dwmapi
			)
endif ()

install(TARGETS ksnip RUNTIME DESTINATION /bin)

=== translations/CMakeLists.txt ===
find_package(Qt5LinguistTools)

set(KSNIP_LANG_TS
	ksnip_de.ts
	ksnip_es.ts
	ksnip_fr.ts
	ksnip_nl.ts
	ksnip_no.ts
	ksnip_pl.ts
	ksnip_ru.ts)

if (DEFINED UPDATE_TS_FILES)
	qt5_create_translation(KSNIP_LANG_QM ${CMAKE_SOURCE_DIR}/translations ${KSNIP_SRCS} ${KSNIP_LANG_TS} OPTIONS "-no-obsolete")
else ()
	qt5_add_translation(KSNIP_LANG_QM ${KSNIP_LANG_TS})
endif ()

add_custom_target(translations ALL DEPENDS ${KSNIP_LANG_QM})

install(FILES ${KSNIP_LANG_QM} DESTINATION ${KSNIP_LANG_INSTAL_DIR})

=== debian/changelog ===
ksnip (1.5.0-1mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.
  * New build depends libkcolorpicker-dev 
  * and libkimageannotator-dev.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 28 Feb 2019 15:59:23 -0800

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: ksnip
 Section: graphics
 Priority: optional
-Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
 Bugs: mailto: <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Dariusz Duma <dhor@toxic.net.pl>
-Build-Depends: debhelper (>=10),
-                cmake  (>= 2.8.12),
-                extra-cmake-modules,
-                qtbase5-dev (>= 5.4.0),
-                qttools5-dev-tools (>= 5.4.0),
-                libqt5x11extras5-dev (>= 5.4.0),
-                libx11-dev,
-                libxfixes-dev
+Build-Depends: cmake  (>= 2.8.12), 
+               debhelper (>=11),
+               extra-cmake-modules,
+               libkcolorpicker (>=0.0.1),
+               libkimageannotator (>= 0.0.2),
+               libqt5x11extras5-dev (>= 5.6.0),
+               libx11-dev,
+               libxfixes-dev, 
+               qtbase5-dev (>= 5.6.0),
+               qttools5-dev-tools (>= 5.6.0),
 Standards-Version: 3.9.6
 Homepage: https://github.com/DamirPorobic/ksnip

## ksnip 1.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,19 @@
 cmake_minimum_required(VERSION 3.5)
-project(ksnip LANGUAGES CXX VERSION 1.5.0)
+project(ksnip LANGUAGES CXX VERSION 1.6.0)
 
-if (DEFINED VERSION_SUFIX)
+if (DEFINED VERSION_SUFIX AND NOT "${VERSION_SUFIX}" STREQUAL "")
     set(KSNIP_VERSION_SUFIX "-${VERSION_SUFIX}")
 endif()
 
 set(KSNIP_VERSION "${PROJECT_VERSION}${KSNIP_VERSION_SUFIX}")
-set(KSNIP_LANG_INSTAL_DIR "/usr/share/ksnip/translations")
+
+if (WIN32)
+	set(KSNIP_LANG_INSTAL_DIR "translations")
+elseif (APPLE)
+	set(KSNIP_LANG_INSTAL_DIR "../Resources")
+elseif (UNIX)
+	set(KSNIP_LANG_INSTAL_DIR "/usr/share/ksnip/translations")
+endif ()
 
 configure_file(src/BuildConfig.h.in ${CMAKE_CURRENT_BINARY_DIR}/src/BuildConfig.h)
 
@@ -22,7 +29,9 @@
 
 find_package(Qt5 ${QT_MIN_VERSION} REQUIRED Widgets Network Xml PrintSupport DBus)
 
-if (UNIX)
+if (WIN32)
+    find_package(Qt5 ${QT_MIN_VERSION} REQUIRED WinExtras)
+elseif (UNIX AND NOT APPLE)
     find_package(Qt5 ${QT_MIN_VERSION} REQUIRED X11Extras)
 
     # Without ECM we're unable to load XCB
@@ -31,11 +40,9 @@
 
     find_package(X11 REQUIRED)
     find_package(XCB COMPONENTS XFIXES)
-elseif(WIN32)
-    find_package(Qt5 ${QT_MIN_VERSION} REQUIRED WinExtras)
 endif ()
 
-set(KIMAGEANNOTATOR_MIN_VERSION "0.0.2")
+set(KIMAGEANNOTATOR_MIN_VERSION "0.1.0")
 find_package(kImageAnnotator ${KIMAGEANNOTATOR_MIN_VERSION} REQUIRED)
 
 set(BASEPATH "${CMAKE_SOURCE_DIR}")

=== desktop/CMakeLists.txt ===
# Add desktop file and desktop icon to target machine
# Add metadata file

if(UNIX AND NOT APPLE)
    install(PROGRAMS ksnip.desktop DESTINATION /usr/share/applications)
    install(FILES ksnip.svg DESTINATION /usr/share/pixmaps)
    install(FILES ksnip.appdata.xml DESTINATION /usr/share/metainfo)
endif()

=== src/CMakeLists.txt ===
set(KSNIP_SRCS
	${CMAKE_SOURCE_DIR}/src/main.cpp
	${CMAKE_SOURCE_DIR}/src/backend/config/KsnipConfig.cpp
	${CMAKE_SOURCE_DIR}/src/backend/config/KsnipConfigOptions.cpp
	${CMAKE_SOURCE_DIR}/src/backend/imageGrabber/AbstractImageGrabber.cpp
	${CMAKE_SOURCE_DIR}/src/backend/imageGrabber/ImageGrabberFactory.cpp
	${CMAKE_SOURCE_DIR}/src/backend/uploader/ImgurUploader.cpp
	${CMAKE_SOURCE_DIR}/src/backend/uploader/UploadResponse.cpp
	${CMAKE_SOURCE_DIR}/src/backend/uploader/CaptureUploader.cpp
	${CMAKE_SOURCE_DIR}/src/backend/uploader/ImgurResponseLogger.cpp
	${CMAKE_SOURCE_DIR}/src/backend/CapturePrinter.cpp
	${CMAKE_SOURCE_DIR}/src/backend/TranslationLoader.cpp
	${CMAKE_SOURCE_DIR}/src/backend/ImageSaver.cpp
	${CMAKE_SOURCE_DIR}/src/common/helper/MathHelper.cpp
	${CMAKE_SOURCE_DIR}/src/common/helper/CommandLineParserHelper.cpp
	${CMAKE_SOURCE_DIR}/src/common/helper/MessageBoxHelper.cpp
	${CMAKE_SOURCE_DIR}/src/common/loader/IconLoader.cpp
	${CMAKE_SOURCE_DIR}/src/common/handler/DelayHandler.cpp
	${CMAKE_SOURCE_DIR}/src/common/formatter/PathHelper.cpp
	${CMAKE_SOURCE_DIR}/src/widgets/CustomToolButton.cpp
	${CMAKE_SOURCE_DIR}/src/widgets/CustomCursor.cpp
	${CMAKE_SOURCE_DIR}/src/widgets/CursorFactory.cpp
	${CMAKE_SOURCE_DIR}/src/widgets/NumericComboBox.cpp
	${CMAKE_SOURCE_DIR}/src/widgets/CustomSpinBox.cpp
	${CMAKE_SOURCE_DIR}/src/widgets/CaptureModePicker.cpp
	${CMAKE_SOURCE_DIR}/src/widgets/ColorButton.cpp
	${CMAKE_SOURCE_DIR}/src/widgets/MainToolBar.cpp
	${CMAKE_SOURCE_DIR}/src/gui/MainWindow.cpp
	${CMAKE_SOURCE_DIR}/src/gui/snippingArea/AbstractSnippingArea.cpp
	${CMAKE_SOURCE_DIR}/src/gui/snippingArea/SnippingAreaAdorner.cpp
	${CMAKE_SOURCE_DIR}/src/gui/snippingArea/AdornerMagnifyingGlass.cpp
	${CMAKE_SOURCE_DIR}/src/gui/snippingArea/AdornerRulers.cpp
	${CMAKE_SOURCE_DIR}/src/gui/snippingArea/AdornerPositionInfo.cpp
	${CMAKE_SOURCE_DIR}/src/gui/snippingArea/AdornerSizeInfo.cpp
	${CMAKE_SOURCE_DIR}/src/gui/settingsDialog/AnnotationSettings.cpp
	${CMAKE_SOURCE_DIR}/src/gui/settingsDialog/ApplicationSettings.cpp
	${CMAKE_SOURCE_DIR}/src/gui/settingsDialog/ImageGrabberSettings.cpp
	${CMAKE_SOURCE_DIR}/src/gui/settingsDialog/ImgurUploaderSettings.cpp
	${CMAKE_SOURCE_DIR}/src/gui/settingsDialog/SettingsDialog.cpp
	${CMAKE_SOURCE_DIR}/src/gui/AboutDialog.cpp
	${CMAKE_SOURCE_DIR}/src/gui/ImgurHistoryDialog.cpp
	${CMAKE_SOURCE_DIR}/src/gui/keyboardShortcuts/GlobalKeyboardShortcut.cpp
	${CMAKE_SOURCE_DIR}/src/gui/keyboardShortcuts/NativeKeyEventFilter.cpp
	${CMAKE_SOURCE_DIR}/src/gui/keyboardShortcuts/AbstractKeyHandler.cpp
	${CMAKE_SOURCE_DIR}/src/gui/keyboardShortcuts/KeyHandlerFactory.cpp
	)

if (APPLE)
	set(KSNIP_SRCS
			${KSNIP_SRCS}
			${CMAKE_SOURCE_DIR}/src/backend/imageGrabber/MacImageGrabber.cpp
			${CMAKE_SOURCE_DIR}/src/backend/imageGrabber/MacWrapper.cpp
			${CMAKE_SOURCE_DIR}/src/gui/snippingArea/MacSnippingArea.cpp
			${CMAKE_SOURCE_DIR}/src/gui/keyboardShortcuts/DummyKeyHandler.cpp
			)
elseif (UNIX)
    set(KSNIP_SRCS
		${KSNIP_SRCS}
		${CMAKE_SOURCE_DIR}/src/backend/imageGrabber/X11ImageGrabber.cpp
		${CMAKE_SOURCE_DIR}/src/backend/imageGrabber/KdeWaylandImageGrabber.cpp
		${CMAKE_SOURCE_DIR}/src/backend/imageGrabber/X11Wrapper.cpp
		${CMAKE_SOURCE_DIR}/src/backend/imageGrabber/GnomeWaylandImageGrabber.cpp
		${CMAKE_SOURCE_DIR}/src/common/platform/PlatformChecker.cpp
		${CMAKE_SOURCE_DIR}/src/common/platform/CommandRunner.cpp
		${CMAKE_SOURCE_DIR}/src/gui/snippingArea/LinuxSnippingArea.cpp
		${CMAKE_SOURCE_DIR}/src/gui/keyboardShortcuts/DummyKeyHandler.cpp
		)
elseif (WIN32)
	set(KSNIP_SRCS
		${KSNIP_SRCS}
		${CMAKE_SOURCE_DIR}/src/backend/imageGrabber/WinImageGrabber.cpp
		${CMAKE_SOURCE_DIR}/src/backend/imageGrabber/WinWrapper.cpp
		${CMAKE_SOURCE_DIR}/src/gui/snippingArea/WinSnippingArea.cpp
		${CMAKE_SOURCE_DIR}/src/gui/keyboardShortcuts/WinKeyHandler.cpp
		)
endif ()

set(KSNIP_SRCS ${KSNIP_SRCS} PARENT_SCOPE)

if (WIN32)
	add_executable(ksnip ${KSNIP_SRCS} ${CMAKE_SOURCE_DIR}/icons/ksnip_icons.qrc ${CMAKE_SOURCE_DIR}/icons/ksnip_windows_icon.rc)
elseif (APPLE)
	set(MACOSX_BUNDLE_EXECUTABLE_NAME "ksnip")
	set(MACOSX_BUNDLE_GUI_IDENTIFIER "org.ksnip")
	set(MACOSX_BUNDLE_ICON_FILE "ksnip.icns")
	set(MACOSX_BUNDLE_INFO_STRING "Cross-Platform Screenshot and Annotation Tool")
	set(MACOSX_BUNDLE_SHORT_VERSION_STRING ${VERSION})
	set(MACOSX_BUNDLE_LONG_VERSION_STRING ${KSNIP_VERSION})

	set(MACOSX_ICON ${CMAKE_SOURCE_DIR}/icons/ksnip.icns)
	set_source_files_properties(${MACOSX_ICON} PROPERTIES MACOSX_PACKAGE_LOCATION "Resources")

	add_executable(ksnip MACOSX_BUNDLE ${KSNIP_SRCS} ${CMAKE_SOURCE_DIR}/icons/ksnip_icons.qrc ${MACOSX_ICON})
else()
	add_executable(ksnip ${KSNIP_SRCS} ${CMAKE_SOURCE_DIR}/icons/ksnip_icons.qrc)
endif ()

target_link_libraries(ksnip
					  Qt5::Widgets
					  Qt5::Network
					  Qt5::Xml
					  Qt5::PrintSupport
					  Qt5::DBus
					  kImageAnnotator
					  kColorPicker
					  )

if (APPLE)
	target_link_libraries(ksnip "-framework CoreGraphics")
elseif (UNIX)
	target_link_libraries(ksnip
            Qt5::X11Extras
			XCB::XFIXES
            X11
            )
elseif(WIN32)
	target_link_libraries(ksnip
            Qt5::WinExtras
            Dwmapi
			)
endif ()

if (UNIX AND NOT APPLE)
	install(TARGETS ksnip RUNTIME DESTINATION /usr/bin)
endif ()

=== translations/CMakeLists.txt ===
--- 
+++ 
@@ -4,10 +4,14 @@
 	ksnip_de.ts
 	ksnip_es.ts
 	ksnip_fr.ts
+	ksnip_gl.ts
+	ksnip_id.ts
 	ksnip_nl.ts
 	ksnip_no.ts
 	ksnip_pl.ts
-	ksnip_ru.ts)
+	ksnip_ru.ts
+	ksnip_tr.ts
+	ksnip_uk.ts)
 
 if (DEFINED UPDATE_TS_FILES)
 	qt5_create_translation(KSNIP_LANG_QM ${CMAKE_SOURCE_DIR}/translations ${KSNIP_SRCS} ${KSNIP_LANG_TS} OPTIONS "-no-obsolete")
@@ -18,3 +22,4 @@
 add_custom_target(translations ALL DEPENDS ${KSNIP_LANG_QM})
 
 install(FILES ${KSNIP_LANG_QM} DESTINATION ${KSNIP_LANG_INSTAL_DIR})
+

=== debian/changelog ===
ksnip (1.6.0-1mx19+2) mx; urgency=medium

  * Repackaged for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 15 Jun 2019 08:03:25 -0700

ksnip (1.6.0-1mx17+2) mx; urgency=medium

  * Added libkcolorpicker-dev & libkimageannotator-dev
  * to the depends list + version info.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 10 Jun 2019 14:06:08 -0700

ksnip (1.6.0-1mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.
  * Increased libkimageannotator to (>= 0.1.0) in the depends list.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 08 Jun 2019 06:28:20 -0700

=== debian/control ===
--- 
+++ 
@@ -7,21 +7,24 @@
 Build-Depends: cmake  (>= 2.8.12), 
                debhelper (>=11),
                extra-cmake-modules,
-               libkcolorpicker (>=0.0.1),
-               libkimageannotator (>= 0.0.2),
+               libkcolorpicker-dev (>=0.0.1),
+               libkimageannotator-dev (>= 0.1.0),
                libqt5x11extras5-dev (>= 5.6.0),
                libx11-dev,
                libxfixes-dev, 
                qtbase5-dev (>= 5.6.0),
-               qttools5-dev-tools (>= 5.6.0),
+#               qttools5-dev-tools (>= 5.6.0),
+               qttools5-dev (>= 5.6.0)
 Standards-Version: 3.9.6
 Homepage: https://github.com/DamirPorobic/ksnip
 
 Package: ksnip
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends},
+         libkcolorpicker-dev (>=0.0.1),
+         libkimageannotator-dev (>= 0.1.0)
 Description: Screenshot tool inspired by the Window Snipping Tool
- Ksnip is a Qt 4.8 based Linux screenshot tool inspired by the
+ Ksnip is a Qt 5 based Linux screenshot tool inspired by the
  Windows Snipping Tool.
  .
  Features include:

## ksnip 1.6.1~prerelease

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,12 +7,14 @@
 
 set(KSNIP_VERSION "${PROJECT_VERSION}${KSNIP_VERSION_SUFIX}")
 
+include(GNUInstallDirs)
+
 if (WIN32)
 	set(KSNIP_LANG_INSTAL_DIR "translations")
 elseif (APPLE)
 	set(KSNIP_LANG_INSTAL_DIR "../Resources")
 elseif (UNIX)
-	set(KSNIP_LANG_INSTAL_DIR "/usr/share/ksnip/translations")
+	set(KSNIP_LANG_INSTAL_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/ksnip/translations")
 endif ()
 
 configure_file(src/BuildConfig.h.in ${CMAKE_CURRENT_BINARY_DIR}/src/BuildConfig.h)
@@ -42,7 +44,7 @@
     find_package(XCB COMPONENTS XFIXES)
 endif ()
 
-set(KIMAGEANNOTATOR_MIN_VERSION "0.1.0")
+set(KIMAGEANNOTATOR_MIN_VERSION "0.2.0")
 find_package(kImageAnnotator ${KIMAGEANNOTATOR_MIN_VERSION} REQUIRED)
 
 set(BASEPATH "${CMAKE_SOURCE_DIR}")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
 	${CMAKE_SOURCE_DIR}/src/main.cpp
 	${CMAKE_SOURCE_DIR}/src/backend/config/KsnipConfig.cpp
 	${CMAKE_SOURCE_DIR}/src/backend/config/KsnipConfigOptions.cpp
+	${CMAKE_SOURCE_DIR}/src/backend/config/SavePathProvider.cpp
 	${CMAKE_SOURCE_DIR}/src/backend/imageGrabber/AbstractImageGrabber.cpp
 	${CMAKE_SOURCE_DIR}/src/backend/imageGrabber/ImageGrabberFactory.cpp
 	${CMAKE_SOURCE_DIR}/src/backend/uploader/ImgurUploader.cpp
@@ -11,12 +12,14 @@
 	${CMAKE_SOURCE_DIR}/src/backend/CapturePrinter.cpp
 	${CMAKE_SOURCE_DIR}/src/backend/TranslationLoader.cpp
 	${CMAKE_SOURCE_DIR}/src/backend/ImageSaver.cpp
+	${CMAKE_SOURCE_DIR}/src/backend/KsnipCommandLine.cpp
+	${CMAKE_SOURCE_DIR}/src/backend/WatermarkImageLoader.cpp
 	${CMAKE_SOURCE_DIR}/src/common/helper/MathHelper.cpp
-	${CMAKE_SOURCE_DIR}/src/common/helper/CommandLineParserHelper.cpp
 	${CMAKE_SOURCE_DIR}/src/common/helper/MessageBoxHelper.cpp
+	${CMAKE_SOURCE_DIR}/src/common/helper/PathHelper.cpp
 	${CMAKE_SOURCE_DIR}/src/common/loader/IconLoader.cpp
 	${CMAKE_SOURCE_DIR}/src/common/handler/DelayHandler.cpp
-	${CMAKE_SOURCE_DIR}/src/common/formatter/PathHelper.cpp
+	${CMAKE_SOURCE_DIR}/src/common/provider/ScaledSizeProvider.cpp
 	${CMAKE_SOURCE_DIR}/src/widgets/CustomToolButton.cpp
 	${CMAKE_SOURCE_DIR}/src/widgets/CustomCursor.cpp
 	${CMAKE_SOURCE_DIR}/src/widgets/CursorFactory.cpp
@@ -25,6 +28,7 @@
 	${CMAKE_SOURCE_DIR}/src/widgets/CaptureModePicker.cpp
 	${CMAKE_SOURCE_DIR}/src/widgets/ColorButton.cpp
 	${CMAKE_SOURCE_DIR}/src/widgets/MainToolBar.cpp
+	${CMAKE_SOURCE_DIR}/src/widgets/KeySequenceLineEdit.cpp
 	${CMAKE_SOURCE_DIR}/src/gui/MainWindow.cpp
 	${CMAKE_SOURCE_DIR}/src/gui/snippingArea/AbstractSnippingArea.cpp
 	${CMAKE_SOURCE_DIR}/src/gui/snippingArea/SnippingAreaAdorner.cpp
@@ -36,23 +40,42 @@
 	${CMAKE_SOURCE_DIR}/src/gui/settingsDialog/ApplicationSettings.cpp
 	${CMAKE_SOURCE_DIR}/src/gui/settingsDialog/ImageGrabberSettings.cpp
 	${CMAKE_SOURCE_DIR}/src/gui/settingsDialog/ImgurUploaderSettings.cpp
+	${CMAKE_SOURCE_DIR}/src/gui/settingsDialog/HotKeySettings.cpp
 	${CMAKE_SOURCE_DIR}/src/gui/settingsDialog/SettingsDialog.cpp
-	${CMAKE_SOURCE_DIR}/src/gui/AboutDialog.cpp
+	${CMAKE_SOURCE_DIR}/src/gui/aboutDialog/AboutDialog.cpp
+	${CMAKE_SOURCE_DIR}/src/gui/aboutDialog/AboutTab.cpp
+	${CMAKE_SOURCE_DIR}/src/gui/aboutDialog/VersionTab.cpp
+	${CMAKE_SOURCE_DIR}/src/gui/aboutDialog/AuthorTab.cpp
+	${CMAKE_SOURCE_DIR}/src/gui/aboutDialog/DonateTab.cpp
 	${CMAKE_SOURCE_DIR}/src/gui/ImgurHistoryDialog.cpp
-	${CMAKE_SOURCE_DIR}/src/gui/keyboardShortcuts/GlobalKeyboardShortcut.cpp
-	${CMAKE_SOURCE_DIR}/src/gui/keyboardShortcuts/NativeKeyEventFilter.cpp
-	${CMAKE_SOURCE_DIR}/src/gui/keyboardShortcuts/AbstractKeyHandler.cpp
-	${CMAKE_SOURCE_DIR}/src/gui/keyboardShortcuts/KeyHandlerFactory.cpp
+	${CMAKE_SOURCE_DIR}/src/gui/TrayIcon.cpp
+	${CMAKE_SOURCE_DIR}/src/gui/globalHotKeys/GlobalHotKey.cpp
+	${CMAKE_SOURCE_DIR}/src/gui/globalHotKeys/NativeKeyEventFilter.cpp
+	${CMAKE_SOURCE_DIR}/src/gui/globalHotKeys/AbstractKeyHandler.cpp
+	${CMAKE_SOURCE_DIR}/src/gui/globalHotKeys/KeyHandlerFactory.cpp
+	${CMAKE_SOURCE_DIR}/src/gui/globalHotKeys/GlobalHotKeyHandler.cpp
+	${CMAKE_SOURCE_DIR}/src/gui/globalHotKeys/HotKeyMap.cpp
+	${CMAKE_SOURCE_DIR}/src/gui/globalHotKeys/DummyKeyHandler.cpp
+	${CMAKE_SOURCE_DIR}/src/gui/operations/SaveOperation.cpp
+	${CMAKE_SOURCE_DIR}/src/gui/operations/AddWatermarkOperation.cpp
+	${CMAKE_SOURCE_DIR}/src/gui/operations/UpdateWatermarkOperation.cpp
+	${CMAKE_SOURCE_DIR}/src/gui/operations/WatermarkImagePreparer.cpp
+	${CMAKE_SOURCE_DIR}/src/gui/operations/CanDiscardOperation.cpp
+	${CMAKE_SOURCE_DIR}/src/gui/operations/UploadOperation.cpp
+	${CMAKE_SOURCE_DIR}/src/gui/operations/HandleUploadResponseOperation.cpp
+	${CMAKE_SOURCE_DIR}/src/gui/operations/NotifyOperation.cpp
 	)
 
 if (APPLE)
 	set(KSNIP_SRCS
-			${KSNIP_SRCS}
-			${CMAKE_SOURCE_DIR}/src/backend/imageGrabber/MacImageGrabber.cpp
-			${CMAKE_SOURCE_DIR}/src/backend/imageGrabber/MacWrapper.cpp
-			${CMAKE_SOURCE_DIR}/src/gui/snippingArea/MacSnippingArea.cpp
-			${CMAKE_SOURCE_DIR}/src/gui/keyboardShortcuts/DummyKeyHandler.cpp
-			)
+		${KSNIP_SRCS}
+		${CMAKE_SOURCE_DIR}/src/backend/imageGrabber/MacImageGrabber.cpp
+		${CMAKE_SOURCE_DIR}/src/backend/imageGrabber/MacWrapper.cpp
+		${CMAKE_SOURCE_DIR}/src/gui/snippingArea/MacSnippingArea.cpp
+		${CMAKE_SOURCE_DIR}/src/gui/globalHotKeys/DummyKeyHandler.cpp
+		${CMAKE_SOURCE_DIR}/src/gui/globalHotKeys/MacKeyHandler.cpp
+		${CMAKE_SOURCE_DIR}/src/gui/globalHotKeys/KeySequenceToMacKeyCodeTranslator.cpp
+		)
 elseif (UNIX)
     set(KSNIP_SRCS
 		${KSNIP_SRCS}
@@ -62,8 +85,10 @@
 		${CMAKE_SOURCE_DIR}/src/backend/imageGrabber/GnomeWaylandImageGrabber.cpp
 		${CMAKE_SOURCE_DIR}/src/common/platform/PlatformChecker.cpp
 		${CMAKE_SOURCE_DIR}/src/common/platform/CommandRunner.cpp
+		${CMAKE_SOURCE_DIR}/src/common/platform/DesktopScaleFactorProvider.cpp
 		${CMAKE_SOURCE_DIR}/src/gui/snippingArea/LinuxSnippingArea.cpp
-		${CMAKE_SOURCE_DIR}/src/gui/keyboardShortcuts/DummyKeyHandler.cpp
+		${CMAKE_SOURCE_DIR}/src/gui/globalHotKeys/X11KeyHandler.cpp
+		${CMAKE_SOURCE_DIR}/src/gui/globalHotKeys/KeySequenceToX11KeyCodeTranslator.cpp
 		)
 elseif (WIN32)
 	set(KSNIP_SRCS
@@ -71,7 +96,8 @@
 		${CMAKE_SOURCE_DIR}/src/backend/imageGrabber/WinImageGrabber.cpp
 		${CMAKE_SOURCE_DIR}/src/backend/imageGrabber/WinWrapper.cpp
 		${CMAKE_SOURCE_DIR}/src/gui/snippingArea/WinSnippingArea.cpp
-		${CMAKE_SOURCE_DIR}/src/gui/keyboardShortcuts/WinKeyHandler.cpp
+		${CMAKE_SOURCE_DIR}/src/gui/globalHotKeys/WinKeyHandler.cpp
+		${CMAKE_SOURCE_DIR}/src/gui/globalHotKeys/KeySequenceToWinKeyCodeTranslator.cpp
 		)
 endif ()
 
@@ -121,5 +147,15 @@
 endif ()
 
 if (UNIX AND NOT APPLE)
-	install(TARGETS ksnip RUNTIME DESTINATION /usr/bin)
+	install(TARGETS ksnip RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
+
+    # uninstall target
+    if(NOT TARGET uninstall)
+        configure_file(
+            "${CMAKE_CURRENT_SOURCE_DIR}/../cmake/cmake_uninstall.cmake.in"
+            "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
+            IMMEDIATE @ONLY)
+
+        add_custom_target(uninstall COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
+    endif ()
 endif ()

=== translations/CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,20 @@
 find_package(Qt5LinguistTools)
 
 set(KSNIP_LANG_TS
+	ksnip_cs.ts
+	ksnip_da.ts
 	ksnip_de.ts
 	ksnip_es.ts
+	ksnip_eu.ts
 	ksnip_fr.ts
 	ksnip_gl.ts
 	ksnip_id.ts
+	ksnip_it.ts
+	ksnip_ja.ts
 	ksnip_nl.ts
 	ksnip_no.ts
 	ksnip_pl.ts
+	ksnip_pt.ts
 	ksnip_ru.ts
 	ksnip_tr.ts
 	ksnip_uk.ts)

=== debian/changelog ===
ksnip (1.6.1~prerelease-1mx19+2) mx; urgency=medium

  * Updated kColorPicker & kImageAnnotator revisions.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 22 Feb 2020 05:42:36 -0800

ksnip (1.6.1~prerelease-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 21 Feb 2020 17:11:43 -0800

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends: cmake  (>= 2.8.12), 
                debhelper (>=11),
                extra-cmake-modules,
-               libkcolorpicker-dev (>=0.0.1),
-               libkimageannotator-dev (>= 0.1.0),
+               libkcolorpicker-dev (>=0.1.1),
+               libkimageannotator-dev (>= 0.2.1~),
                libqt5x11extras5-dev (>= 5.6.0),
                libx11-dev,
                libxfixes-dev, 
@@ -21,8 +21,8 @@
 Package: ksnip
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-         libkcolorpicker-dev (>=0.0.1),
-         libkimageannotator-dev (>= 0.1.0)
+         libkcolorpicker-dev (>=0.1.1),
+         libkimageannotator-dev (>= 0.2.1~)
 Description: Screenshot tool inspired by the Window Snipping Tool
  Ksnip is a Qt 5 based Linux screenshot tool inspired by the
  Windows Snipping Tool.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## ksnip 1.6.1

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
 	${CMAKE_SOURCE_DIR}/src/backend/config/KsnipConfig.cpp
 	${CMAKE_SOURCE_DIR}/src/backend/config/KsnipConfigOptions.cpp
 	${CMAKE_SOURCE_DIR}/src/backend/config/SavePathProvider.cpp
+	${CMAKE_SOURCE_DIR}/src/backend/config/KsnipConfigProvider.cpp
 	${CMAKE_SOURCE_DIR}/src/backend/imageGrabber/AbstractImageGrabber.cpp
 	${CMAKE_SOURCE_DIR}/src/backend/imageGrabber/ImageGrabberFactory.cpp
 	${CMAKE_SOURCE_DIR}/src/backend/uploader/ImgurUploader.cpp
@@ -71,6 +72,7 @@
 		${KSNIP_SRCS}
 		${CMAKE_SOURCE_DIR}/src/backend/imageGrabber/MacImageGrabber.cpp
 		${CMAKE_SOURCE_DIR}/src/backend/imageGrabber/MacWrapper.cpp
+		${CMAKE_SOURCE_DIR}/src/backend/config/KsnipMacConfig.cpp
 		${CMAKE_SOURCE_DIR}/src/gui/snippingArea/MacSnippingArea.cpp
 		${CMAKE_SOURCE_DIR}/src/gui/globalHotKeys/DummyKeyHandler.cpp
 		${CMAKE_SOURCE_DIR}/src/gui/globalHotKeys/MacKeyHandler.cpp
@@ -83,6 +85,7 @@
 		${CMAKE_SOURCE_DIR}/src/backend/imageGrabber/KdeWaylandImageGrabber.cpp
 		${CMAKE_SOURCE_DIR}/src/backend/imageGrabber/X11Wrapper.cpp
 		${CMAKE_SOURCE_DIR}/src/backend/imageGrabber/GnomeWaylandImageGrabber.cpp
+		${CMAKE_SOURCE_DIR}/src/backend/config/KsnipWaylandConfig.cpp
 		${CMAKE_SOURCE_DIR}/src/common/platform/PlatformChecker.cpp
 		${CMAKE_SOURCE_DIR}/src/common/platform/CommandRunner.cpp
 		${CMAKE_SOURCE_DIR}/src/common/platform/DesktopScaleFactorProvider.cpp

=== translations/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,7 @@
 	ksnip_eu.ts
 	ksnip_fr.ts
 	ksnip_gl.ts
+	ksnip_hu.ts
 	ksnip_id.ts
 	ksnip_it.ts
 	ksnip_ja.ts

=== debian/changelog ===
ksnip (1.6.1-1mx19+1) mx; urgency=medium

  * Updated kimageannotator version requirement for new release.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 01 Mar 2020 05:31:38 -0800

## ksnip 1.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(ksnip LANGUAGES CXX VERSION 1.6.0)
+project(ksnip LANGUAGES CXX VERSION 1.6.2)
 
 if (DEFINED VERSION_SUFIX AND NOT "${VERSION_SUFIX}" STREQUAL "")
     set(KSNIP_VERSION_SUFIX "-${VERSION_SUFIX}")
@@ -27,7 +27,7 @@
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)
 
-set(QT_MIN_VERSION "5.6.1")
+set(QT_MIN_VERSION "5.7.1")
 
 find_package(Qt5 ${QT_MIN_VERSION} REQUIRED Widgets Network Xml PrintSupport DBus)
 
@@ -44,7 +44,7 @@
     find_package(XCB COMPONENTS XFIXES)
 endif ()
 
-set(KIMAGEANNOTATOR_MIN_VERSION "0.2.0")
+set(KIMAGEANNOTATOR_MIN_VERSION "0.2.1")
 find_package(kImageAnnotator ${KIMAGEANNOTATOR_MIN_VERSION} REQUIRED)
 
 set(BASEPATH "${CMAKE_SOURCE_DIR}")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -92,6 +92,7 @@
 		${CMAKE_SOURCE_DIR}/src/gui/snippingArea/LinuxSnippingArea.cpp
 		${CMAKE_SOURCE_DIR}/src/gui/globalHotKeys/X11KeyHandler.cpp
 		${CMAKE_SOURCE_DIR}/src/gui/globalHotKeys/KeySequenceToX11KeyCodeTranslator.cpp
+		${CMAKE_SOURCE_DIR}/src/gui/globalHotKeys/X11ErrorLogger.cpp
 		)
 elseif (WIN32)
 	set(KSNIP_SRCS

=== debian/changelog ===
ksnip (1.6.2-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 24 May 2020 08:52:05 -0700

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                debhelper (>=11),
                extra-cmake-modules,
                libkcolorpicker-dev (>=0.1.1),
-               libkimageannotator-dev (>= 0.2.1~),
+               libkimageannotator-dev (>= 0.2.1),
                libqt5x11extras5-dev (>= 5.6.0),
                libx11-dev,
                libxfixes-dev, 
@@ -22,7 +22,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
          libkcolorpicker-dev (>=0.1.1),
-         libkimageannotator-dev (>= 0.2.1~)
+         libkimageannotator-dev (>= 0.2.1)
 Description: Screenshot tool inspired by the Window Snipping Tool
  Ksnip is a Qt 5 based Linux screenshot tool inspired by the
  Windows Snipping Tool.
